Bug 215868 - Unable to install MySQL Activity Report ( mysqlar )
Unable to install MySQL Activity Report ( mysqlar )
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: mysql (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Lane
David Lawrence
:
: 215869 215870 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-15 23:35 EST by F
Modified: 2013-07-02 23:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-28 17:56:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description F 2006-11-15 23:35:31 EST
Description of problem:

Unable to install MySQL Activity Report

Version-Release number of selected component (if applicable):

v1.0.0
http://gert.sos.be/en/
http://freshmeat.net/projects/mysqlard/

How reproducible:

Tried on two RHEL 4 servers, didn't work on either. 

Was able to get it installed on a RHEL 3 server, but though mysql queries were 
shown and increasing on the right pane, the graphs were showing only graph 
backgrounds and no graph lines.

Steps to Reproduce:

rrdtool 1.2-15 is installed

cd /usr/local/src
wget http://freshmeat.net/redir/mysqlard/48776/url_tgz/mysqlard-1.0.0.tar.gz
tar -xvzf mysqlard-1.0.0.tar.gz
cd mysqlard-1.0.0
./configure --prefix=/usr --sysconfdir=/etc --datadir=/var/lib --with-
rrd=/usr/local/rrdtool-1.2.15
make
make install

Actual results:

"configure" runs fine, but when I run "make":

make all-recursive
make[1]: Entering directory `/usr/local/src/mysqlard-1.0.0'
Making all in src
make[2]: Entering directory `/usr/local/src/mysqlard-1.0.0/src'
if gcc -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/local/rrdtool-1.2.15/include -
I/tmp/rrdbuild/lb/include -I/tmp/rrdbuild/lb/include/libart-2.0 -
I/tmp/rrdbuild/lb/include/freetype2 -I/tmp/rrdbuild/lb/include/libpng -O3 -
I/usr/include/mysql -g -pipe -m32 -march=i386 -mtune=pentium4 -D_GNU_SOURCE -
D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -fno-strict-aliasing -MT main.o -MD -
MP -MF ".deps/main.Tpo" -c -o main.o main.c; \
then mv -f ".deps/main.Tpo" ".deps/main.Po"; else rm -f ".deps/main.Tpo"; exit 
1; fi
main.c:11:23: my_global.h: No such file or directory
main.c:12:20: my_sys.h: No such file or directory
main.c:13:22: m_string.h: No such file or directory
main.c:14:19: mysql.h: No such file or directory
main.c:15:20: errmsg.h: No such file or directory
main.c:50: error: syntax error before '*' token
main.c:51: error: syntax error before '*' token
main.c:52: error: syntax error before '*' token
main.c:53: error: syntax error before '*' token
main.c: In function `main':
main.c:67: error: `MYSQL' undeclared (first use in this function)
main.c:67: error: (Each undeclared identifier is reported only once
main.c:67: error: for each function it appears in.)
main.c:67: error: syntax error before "mysql"
main.c:284: error: `LOCAL_HOST' undeclared (first use in this function)
main.c:291: error: `mysql' undeclared (first use in this function)
main.c: At top level:
main.c:367: error: syntax error before '*' token
main.c: In function `ar_get_var':
main.c:368: error: `mysql' undeclared (first use in this function)
main.c:368: error: `varname' undeclared (first use in this function)
main.c: At top level:
main.c:371: error: syntax error before '*' token
main.c: In function `ar_get_param':
main.c:372: error: `mysql' undeclared (first use in this function)
main.c:372: error: `varname' undeclared (first use in this function)
main.c: At top level:
main.c:375: error: syntax error before '*' token
main.c: In function `ar_get':
main.c:377: error: `MYSQL_RES' undeclared (first use in this function)
main.c:377: error: `res' undeclared (first use in this function)
main.c:378: error: `MYSQL_ROW' undeclared (first use in this function)
main.c:378: error: syntax error before "row"
main.c:380: error: `var' undeclared (first use in this function)
main.c:381: error: `varname' undeclared (first use in this function)
main.c:385: error: `mysql' undeclared (first use in this function)
main.c:389: error: `row' undeclared (first use in this function)
main.c: At top level:
main.c:397: error: syntax error before '*' token
main.c: In function `ar_get_sl_param':
main.c:399: error: `MYSQL_RES' undeclared (first use in this function)
main.c:399: error: `res' undeclared (first use in this function)
main.c:400: error: `MYSQL_ROW' undeclared (first use in this function)
main.c:400: error: syntax error before "row"
main.c:404: error: `MYSQL_FIELD' undeclared (first use in this function)
main.c:404: error: `fields' undeclared (first use in this function)
main.c:406: error: `mysql' undeclared (first use in this function)
main.c:411: error: `row' undeclared (first use in this function)
main.c:415: error: `varname' undeclared (first use in this function)
make[2]: *** [main.o] Error 1
make[2]: Leaving directory `/usr/local/src/mysqlard-1.0.0/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/usr/local/src/mysqlard-1.0.0'
make: *** [all] Error 2
[root@www mysqlard-1.0.0]# make install
Making install in src
make[1]: Entering directory `/usr/local/src/mysqlard-1.0.0/src'
if gcc -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/local/rrdtool-1.2.15/include -
I/tmp/rrdbuild/lb/include -I/tmp/rrdbuild/lb/include/libart-2.0 -
I/tmp/rrdbuild/lb/include/freetype2 -I/tmp/rrdbuild/lb/include/libpng -O3 -
I/usr/include/mysql -g -pipe -m32 -march=i386 -mtune=pentium4 -D_GNU_SOURCE -
D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -fno-strict-aliasing -MT main.o -MD -
MP -MF ".deps/main.Tpo" -c -o main.o main.c; \
then mv -f ".deps/main.Tpo" ".deps/main.Po"; else rm -f ".deps/main.Tpo"; exit 
1; fi
main.c:11:23: my_global.h: No such file or directory
main.c:12:20: my_sys.h: No such file or directory
main.c:13:22: m_string.h: No such file or directory
main.c:14:19: mysql.h: No such file or directory
main.c:15:20: errmsg.h: No such file or directory
main.c:50: error: syntax error before '*' token
main.c:51: error: syntax error before '*' token
main.c:52: error: syntax error before '*' token
main.c:53: error: syntax error before '*' token
main.c: In function `main':
main.c:67: error: `MYSQL' undeclared (first use in this function)
main.c:67: error: (Each undeclared identifier is reported only once
main.c:67: error: for each function it appears in.)
main.c:67: error: syntax error before "mysql"
main.c:284: error: `LOCAL_HOST' undeclared (first use in this function)
main.c:291: error: `mysql' undeclared (first use in this function)
main.c: At top level:
main.c:367: error: syntax error before '*' token
main.c: In function `ar_get_var':
main.c:368: error: `mysql' undeclared (first use in this function)
main.c:368: error: `varname' undeclared (first use in this function)
main.c: At top level:
main.c:371: error: syntax error before '*' token
main.c: In function `ar_get_param':
main.c:372: error: `mysql' undeclared (first use in this function)
main.c:372: error: `varname' undeclared (first use in this function)
main.c: At top level:
main.c:375: error: syntax error before '*' token
main.c: In function `ar_get':
main.c:377: error: `MYSQL_RES' undeclared (first use in this function)
main.c:377: error: `res' undeclared (first use in this function)
main.c:378: error: `MYSQL_ROW' undeclared (first use in this function)
main.c:378: error: syntax error before "row"
main.c:380: error: `var' undeclared (first use in this function)
main.c:381: error: `varname' undeclared (first use in this function)
main.c:385: error: `mysql' undeclared (first use in this function)
main.c:389: error: `row' undeclared (first use in this function)
main.c: At top level:
main.c:397: error: syntax error before '*' token
main.c: In function `ar_get_sl_param':
main.c:399: error: `MYSQL_RES' undeclared (first use in this function)
main.c:399: error: `res' undeclared (first use in this function)
main.c:400: error: `MYSQL_ROW' undeclared (first use in this function)
main.c:400: error: syntax error before "row"
main.c:404: error: `MYSQL_FIELD' undeclared (first use in this function)
main.c:404: error: `fields' undeclared (first use in this function)
main.c:406: error: `mysql' undeclared (first use in this function)
main.c:411: error: `row' undeclared (first use in this function)
main.c:415: error: `varname' undeclared (first use in this function)
make[1]: *** [main.o] Error 1
make[1]: Leaving directory `/usr/local/src/mysqlard-1.0.0/src'
make: *** [install-recursive] Error 1

Expected results:

Expectint if to install, worked on RHEL 3

Additional info:

It's a freshly installed plain RHEL 4-ES server without a control panel, trying 
to install it as root user through ssh2. Website is installed on the server 
with mysql having been active (insert,update,delete,etc. queries have been done 
for mysqlar).

php v4.3.9
mysql v4.1.20
xinetd v2.3.13

uname -a
Linux 2.6.9-42.0.3.EL #1 Mon Sep 25 17:14:19 EDT 2006 i686 i686 i386 GNU/Linux
Comment 1 Tom Lane 2006-11-22 17:56:48 EST
It looks to me like you don't have the mysql-devel RPM installed.  Is there
anything at all in /usr/include/mysql?
Comment 2 Tom Lane 2006-11-22 17:59:12 EST
*** Bug 215869 has been marked as a duplicate of this bug. ***
Comment 3 Tom Lane 2006-11-22 18:00:35 EST
*** Bug 215870 has been marked as a duplicate of this bug. ***
Comment 4 Tom Lane 2008-04-28 17:56:13 EDT
Closing for lack of response.

Note You need to log in before you can comment on or make changes to this bug.